package core

// PageData 分页数据通用结构体
type PageData struct {
	Current   int         `json:"current"`    // 当前页码
	Size      int         `json:"size"`       // 每页数量
	Total     int64       `json:"total"`      // 总数
	TotalPage int         `json:"total_page"` // 总页数
	Records   interface{} `json:"records"`    // 返回数据
}
