package entity

import "online_code/common/types"

// TestCase 测试用例
type TestCase struct {
	types.BaseDbModel
	Identity        string `json:"identity" gorm:"column:identity;type:varchar(255);comment:'用户唯一标识''" `
	ProblemIdentity string `json:"problem_identity" gorm:"column:problem_identity;type:varchar(255);comment:'问题'" `
	Input           string `json:"input" gorm:"column:input;type:text;" `
	Output          string `json:"output" gorm:"column:output;type:text;" `
}

func (table *TestCase) TableName() string {
	return "test_case"
}
